﻿
#################################################
#
# Author:  Thomas Koetzing
# Purpose: Remove RawOnly attribute from printer
#          Run as administrator 
#
# Created: 12.10.2018
# Version: 1.0
#
# History: created 12.10.2018
#
#
#################################################


#################################################
# Get all local printer objects
#################################################
$Printer = (Get-WmiObject -Query " SELECT * FROM Win32_Printer").name


#################################################
# Remove the RawOnly attribut from all printer, required by Citrix Universal print server
#################################################
Foreach ($P in $Printer)
{
    Invoke-Expression "C:\Windows\System32\RUNDLL32.EXE PRINTUI.DLL,PrintUIEntry /Xs /n ""$P"" attributes -RawOnly"
}